<VirtualHost *:80>
    DocumentRoot "/usr/local/apache2/htdocs/"

    Redirect permanent / https://localhost/

    RewriteCond %{HTTPS}s on(s)|
    RewriteCond %{HTTP_HOST} ^www\.(.+)$
    RewriteRule ^ http%2://%1%{REQUEST_URI} [R=302,L] ## 302 for dev 301 for production

    RewriteCond %{HTTPS} off
    RewriteRule (.*) https://%{HTTP_HOST}%{REQUEST_URI}

</VirtualHost>

# LogLevel debug

Listen 443

<VirtualHost *:443>
    DocumentRoot "/usr/local/apache2/htdocs/"

    SSLEngine on

    SSLCertificateFile /ssl/localhost.crt
    SSLCertificateKeyFile /ssl/localhost.key

    ErrorLog /dev/stderr
    TransferLog /dev/stdout

    <Location "/DAD/co/">
        ProxyPass http://co-traefik:30000/

        # Warning same site none is only for development
        # Header edit Set-Cookie ^(.*)$ $1;HttpOnly;Secure;SameSite=None "expr=!%{REQUEST_URI} =~ m#^/DAD/co/public/sec/auth#"

        RequestHeader set X-Forwarded-Host localhost
        RequestHeader set X-Forwarded-Proto "https"
        RequestHeader set X-Forwarded-Port "443"
    </Location>


    <Location "/whoami">
        ProxyPass http://whoami/ retry=0 timeout=5

        RequestHeader set X-Forwarded-Host localhost
        RequestHeader set X-Forwarded-Proto "https"
        RequestHeader set X-Forwarded-Port "443"
    </Location>


</VirtualHost>

